Subject: bug#48045: closed (Re: bug#48045: guix challenge error)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 May 2021 08:46:02 +0000

Your bug report

#48045: guix challenge error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48045: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48045
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48045: guix challenge error
From: Ludovic Courtès <[email-masked]>
To: Bone Baboon <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 May 2021 10:45:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Bone Baboon <[email-masked]> skribis:

> Ludovic Courtès writes:
>> The bug comes from the fact that it’s gone beyond 100%.  We could solve
>> it by programming more defensively, but it’d be great to see where the
>> problem comes from.
>>
>> Can you reproduce it with:
>>
>>   ./pre-inst-env guix challenge /gnu/store/5ds5bli4p6gja2yzmzzc0sik1kzrasp9-guix-extra
>>
>> ?
>>
>> If so, could you apply the patch below and send the output of this
>> command?  We can discuss it on IRC if anything’s unclear.
>
> I can not reproduce this error any more.
>
> I have a new clone of the Guix repository.
>
> I ran `./pre-inst-env guix challenge
> /gnu/store/5ds5bli4p6gja2yzmzzc0sik1kzrasp9-guix-extra` 20 times and the
> error was no error.
>
> I ran `./pre-inst-env guix challenge` several times and there was no
> error.
>
> I tried running `guix challenge
> /gnu/store/5ds5bli4p6gja2yzmzzc0sik1kzrasp9-guix-extra` outside of the
> Guix repository 20 times and there was no error.

Thanks for checking.  I’m closing it, but please do reopen if you
stumble upon it again.

Ludo’.

Subject: guix challenge error
From: Bone Baboon <[email-masked]>
To: [email-masked]
Date: Mon, 26 Apr 2021 14:40:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On an x86_64 computer when I run `guix challenge` I get this error:

```
...
/gnu/store/5ds5bli4p6gja2yzmzzc0sik1kzrasp9-guix-extra contents differ:
  local hash: 0aacxb6n0vrki8lb7f02r3m756cpc650hbihj9dpklkpvlgasqad
  https://ci.guix.gnu.org/nar/lzip/5ds5bli4p6gja2yzmzzc0sik1kzrasp9-guix-extra: 0anncy58048fvbbi40wbfrd1dc6wk3zshx63p6jn2f03ljwakbkj
 ci.guix.gnu.org  2.2MiB      416KiB/s 00:06 [##################] 101.3%
Backtrace:                                                             
In srfi/srfi-1.scm:
    634:9 19 (for-each #<procedure 7fe80c8c1e40 at guix/scripts/cha…> …)
In guix/scripts/challenge.scm:
    299:2 18 (report-differing-files _)
    279:2 17 (differing-files #<<comparison-report> item: "/gnu/stor…>)
In srfi/srfi-1.scm:
   586:17 16 (map1 (#<<narinfo> path: "/gnu/store/5ds5bli4p6gja2yzm…>))
In guix/scripts/challenge.scm:
    262:4 15 (call-with-nar _ _)
In guix/utils.scm:
    253:8 14 (call-with-decompressed-port _ _ _)
In guix/serialization.scm:
    424:4 13 (fold-archive _ _ _ _)
   468:33 12 (read "" _)
   468:33 11 (read "/guix" _)
   442:24 10 (read "/guix/self.go" _)
In guix/scripts/challenge.scm:
    200:4  9 (_ "/guix/self.go" regular _ (("/guix/scripts.go" # …) …))
In guix/serialization.scm:
   247:20  8 (dump #<input: string 7fe80d3471c0> #<output: string 7…> …)
In unknown file:
           7 (get-bytevector-n! #<input: string 7fe80d3471c0> # 0 #)
In lzlib.scm:
    501:4  6 (lzread! #<lz-decoder 7fe80dcef540> #<input: string 7f…> …)
In unknown file:
           5 (get-bytevector-n #<input: string 7fe80d347230> 65538)
In guix/progress.scm:
   362:23  4 (read! _ _ _)
   178:12  3 (display-download-progress _ _ #:tty? _ #:start-time _ # …)
In unknown file:
           2 (make-string -1 #\space)
In ice-9/boot-9.scm:
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Value out of range 0 to 18446744073709551615: -1
Backtrace:
          19 (get-bytevector-n! #<closed: string 7fe80d3471c0> # 0 #)
In lzlib.scm:
    501:4 18 (lzread! #<lz-decoder 7fe80dcef540> #<closed: string 7…> …)
In unknown file:
          17 (get-bytevector-n #<closed: string 7fe80d347230> 65538)
In guix/progress.scm:
   362:23 16 (read! _ _ _)
   178:12 15 (display-download-progress _ _ #:tty? _ #:start-time _ # …)
In unknown file:
          14 (make-string -1 #\space)
In ice-9/boot-9.scm:
  1669:16 13 (raise-exception _ #:continuable? _)
  1669:16 12 (raise-exception _ #:continuable? _)
  1669:16 11 (raise-exception _ #:continuable? _)
In unknown file:
          10 (apply-smob/1 #<exception-handler 7fe811315500> #<&comp…>)
In ice-9/boot-9.scm:
  1659:16  9 (raise-exception _ #:continuable? _)
In unknown file:
           8 (_ (0) #<&compound-exception components: (#<&assertion-…>)
In guix/utils.scm:
    255:8  7 (_)
In unknown file:
           6 (close-port #<closed: string 7fe80d3471c0>)
           5 (close-port #<closed: string 7fe80d347230>)
In guix/progress.scm:
   377:42  4 (_)
   178:12  3 (display-download-progress _ _ #:tty? _ #:start-time _ # …)
In unknown file:
           2 (make-string -1 #\space)
In ice-9/boot-9.scm:
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Value out of range 0 to 18446744073709551615: -1
```

`echo $?` outputs "1".

`guix describe` outputs:

```
Generation 10   Apr 26 2021 10:36:03    (current)
  guix f365d48
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: f365d48909156ad754a2ade45375f45b54b06bbc
```